List processors
curl --request GET \
--url https://api.tagada.io/v1/processors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagada.io/v1/processors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagada.io/v1/processors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagada.io/v1/processors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagada.io/v1/processors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagada.io/v1/processors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagada.io/v1/processors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"approval": {
"computed_at": "<string>",
"score": 0.5,
"source": "processor",
"volume": 1
},
"capabilities": {
"acquirer": "<string>",
"activate_method": true,
"authentication": {
"external_three_ds": {
"versions": [
"<string>"
]
},
"none": true,
"processor_three_ds": true
},
"authorization_validity": {},
"cancel": {
"by": [
"<string>"
]
},
"capture_methods": [
"<string>"
],
"currencies": {},
"descriptor": {
"max_length": 1,
"mode": "none"
},
"disputes": [
"<string>"
],
"exemptions": [
"<string>"
],
"max_resends": 1,
"merchant_initiated": {
"imported_network_transaction_ids": true,
"supported": true
},
"methods": [
"card"
],
"network_tokens": true,
"processor_tokens": true,
"refunds": [
"<string>"
],
"replay": {
"by_key": true,
"cached_errors": "<string>",
"duplicate_codes": [
"<string>"
],
"in_progress_codes": [
"<string>"
],
"lookup": "<string>",
"window_hours": 1
},
"settlement_modes": [
"<string>"
],
"wallet_cryptogram_reuse": true
},
"capabilities_synced_at": "<string>",
"declines_in_a_row": 1,
"gateway": "<string>",
"id": "<string>",
"methods": [
{
"fees": [
{
"fixed": {
"amount": 123,
"currency": "AED"
},
"funding": "<string>",
"method": "card",
"rate_basis_points": 1,
"region": "<string>"
}
],
"method": "card",
"need": "<string>",
"reason": "<string>",
"requested_via": "api",
"since": "<string>",
"status": "active",
"waiting_on": "<string>"
}
],
"mid": "<string>",
"mode": "test",
"name": "<string>",
"object": "processor",
"pause_reason": "<string>",
"paused_until": "<string>",
"profile": {
"acceptor_id": "<string>",
"acquirer": "<string>",
"brands": [
"<string>"
],
"capture": {
"authorization_validity": {},
"methods": [
"<string>"
]
},
"card_countries": {
"allowed": [
"<string>"
],
"refused": [
"<string>"
]
},
"currencies": {},
"descriptor": {
"max_length": 1,
"mode": "<string>"
},
"fees": [
{
"fixed": {
"amount": 123,
"currency": "AED"
},
"funding": "<string>",
"method": "card",
"rate_basis_points": 1,
"region": "<string>"
}
],
"funding": [
"<string>"
],
"home_region": "<string>",
"merchant_initiated": {
"imported_network_transaction_ids": true,
"supported": true
},
"methods": [
{
"method": "card",
"need": "<string>",
"reason": "<string>",
"requested_via": "api",
"since": "<string>",
"status": "live",
"waiting_on": "<string>"
}
],
"network_tokens": true,
"provider": "<string>",
"settlement_currency": "<string>",
"three_ds": {
"external_3ds": {
"versions": [
"<string>"
]
},
"processor_3ds": true
}
},
"renewals_due": {
"amount": 1,
"count": 1,
"currency": "AED"
},
"status": "active",
"subscribers": 1,
"type": "<string>",
"usage": {
"day": {
"amount": 1,
"count": 1,
"currency": "AED"
},
"month": {
"amount": 1,
"count": 1,
"currency": "AED"
}
}
}
],
"has_more": true,
"next_cursor": "<string>",
"object": "list"
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}Processors
List processors
Account and mode scoped processor facts with opaque cursor pagination. Uncomputed state is null.
GET
/
v1
/
processors
List processors
curl --request GET \
--url https://api.tagada.io/v1/processors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagada.io/v1/processors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagada.io/v1/processors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagada.io/v1/processors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagada.io/v1/processors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagada.io/v1/processors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagada.io/v1/processors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"approval": {
"computed_at": "<string>",
"score": 0.5,
"source": "processor",
"volume": 1
},
"capabilities": {
"acquirer": "<string>",
"activate_method": true,
"authentication": {
"external_three_ds": {
"versions": [
"<string>"
]
},
"none": true,
"processor_three_ds": true
},
"authorization_validity": {},
"cancel": {
"by": [
"<string>"
]
},
"capture_methods": [
"<string>"
],
"currencies": {},
"descriptor": {
"max_length": 1,
"mode": "none"
},
"disputes": [
"<string>"
],
"exemptions": [
"<string>"
],
"max_resends": 1,
"merchant_initiated": {
"imported_network_transaction_ids": true,
"supported": true
},
"methods": [
"card"
],
"network_tokens": true,
"processor_tokens": true,
"refunds": [
"<string>"
],
"replay": {
"by_key": true,
"cached_errors": "<string>",
"duplicate_codes": [
"<string>"
],
"in_progress_codes": [
"<string>"
],
"lookup": "<string>",
"window_hours": 1
},
"settlement_modes": [
"<string>"
],
"wallet_cryptogram_reuse": true
},
"capabilities_synced_at": "<string>",
"declines_in_a_row": 1,
"gateway": "<string>",
"id": "<string>",
"methods": [
{
"fees": [
{
"fixed": {
"amount": 123,
"currency": "AED"
},
"funding": "<string>",
"method": "card",
"rate_basis_points": 1,
"region": "<string>"
}
],
"method": "card",
"need": "<string>",
"reason": "<string>",
"requested_via": "api",
"since": "<string>",
"status": "active",
"waiting_on": "<string>"
}
],
"mid": "<string>",
"mode": "test",
"name": "<string>",
"object": "processor",
"pause_reason": "<string>",
"paused_until": "<string>",
"profile": {
"acceptor_id": "<string>",
"acquirer": "<string>",
"brands": [
"<string>"
],
"capture": {
"authorization_validity": {},
"methods": [
"<string>"
]
},
"card_countries": {
"allowed": [
"<string>"
],
"refused": [
"<string>"
]
},
"currencies": {},
"descriptor": {
"max_length": 1,
"mode": "<string>"
},
"fees": [
{
"fixed": {
"amount": 123,
"currency": "AED"
},
"funding": "<string>",
"method": "card",
"rate_basis_points": 1,
"region": "<string>"
}
],
"funding": [
"<string>"
],
"home_region": "<string>",
"merchant_initiated": {
"imported_network_transaction_ids": true,
"supported": true
},
"methods": [
{
"method": "card",
"need": "<string>",
"reason": "<string>",
"requested_via": "api",
"since": "<string>",
"status": "live",
"waiting_on": "<string>"
}
],
"network_tokens": true,
"provider": "<string>",
"settlement_currency": "<string>",
"three_ds": {
"external_3ds": {
"versions": [
"<string>"
]
},
"processor_3ds": true
}
},
"renewals_due": {
"amount": 1,
"count": 1,
"currency": "AED"
},
"status": "active",
"subscribers": 1,
"type": "<string>",
"usage": {
"day": {
"amount": 1,
"count": 1,
"currency": "AED"
},
"month": {
"amount": 1,
"count": 1,
"currency": "AED"
}
}
}
],
"has_more": true,
"next_cursor": "<string>",
"object": "list"
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}Authorizations
Secret, platform or publishable API key. Platform keys require Payments-Account.
